%global _empty_manifest_terminate_build 0
Name:		python-swagger-ui-bundle
Version:	0.0.8
Release:	1
Summary:	swagger_ui_bundle - swagger-ui files in a pip package
License:	Apache License Version 2.0
URL:		https://github.com/dtkav/swagger_ui_bundle
Source0:	https://files.pythonhosted.org/packages/40/1e/75dd5ccc4bbf1086f3a46d52ac7766d5766836874c2de49351f5d4cccbed/swagger_ui_bundle-0.0.8.tar.gz
BuildArch:	noarch

BuildRequires:	python3-jinja2 python3-flake8 python3-pytest-runner

%description
This package contains the static files for swagger-ui as a python package.
Basic configuration options are templated with the Jinja2 templating language.
This package is intended to be webserver-agnostic, so it only includes the
static files, and some very basic configuration.

%package -n python3-swagger-ui-bundle
Summary:		swagger_ui_bundle - swagger-ui files in a pip package
Provides:		python-swagger-ui-bundle
BuildRequires:		python3-devel
BuildRequires:		python3-setuptools
Requires:		python3-jinja2
%description -n python3-swagger-ui-bundle
This package contains the static files for swagger-ui as a python package.
Basic configuration options are templated with the Jinja2 templating language.
This package is intended to be webserver-agnostic, so it only includes the
static files, and some very basic configuration.

%package help
Summary:	Development documents and examples for swagger-ui-bundle
Provides:	python3-swagger-ui-bundle-doc
%description help
This package contains the static files for swagger-ui as a python package.
Basic configuration options are templated with the Jinja2 templating language.
This package is intended to be webserver-agnostic, so it only includes the
static files, and some very basic configuration.

%prep
%autosetup -n swagger_ui_bundle-0.0.8

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-swagger-ui-bundle -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Aug 30 2021 Python_Bot <Python_Bot@openeuler.org> - 0.0.8-1
- Package Spec generated
